package database

type PaginationS struct {
	HasMore    bool `json:"hasMore"`
	Page       int  `json:"page"`
	Size       int  `json:"size"`
	TotalCount int  `json:"totalCount"`
	TotalPages int  `json:"totalPages"`
}
type OffersS []struct {
	ActionDate string `json:"actionDate"`
	IsAction   bool   `json:"isAction"`
	Merchant   string `json:"merchant"`
	Price      string `json:"price"`
	Quantity   int    `json:"quantity"`
}
type GoodsS []struct {
	Categories  []int   `json:"categories"`
	Code        string  `json:"code"`
	Grammar     int     `json:"grammar" `
	ID          string  `json:"id"`
	IsForAdults bool    `json:"isForAdults" `
	Name        string  `json:"name" `
	Offers      OffersS `json:"offers"`
	UnitValue   string  `json:"unitValue"`
}
type AutoGenerated struct {
	Good       GoodsS      `json:"goods"`
	Pagination PaginationS `json:"pagination"`
}
